Summary: Diald, the demand-dialling daemon.
Name: diald
Version: 0.99.4
Release: 1
Copyright: Freely distributable (see LICENSE)
Group: Networking/Daemons
Source0: ftp://diald.sourceforge.net/pub/diald/diald-%{version}.tar.gz
Source1: diald-config.tar.gz
Patch0: diald-metric.patch
Patch1: diald-makefile.patch
Patch2: diald-config.patch
Prereq: /sbin/chkconfig
Requires: wvdial
%description
Diald is a daemon that provides on demand IP links via SLIP or PPP. The
purpose of diald is to make it transparently appear that you have a
permanent connection to a remote site. Diald sets up a "proxy" device which
stands in for the physical connection to a remote site. It then monitors the
proxy, waiting for packets to arrive. When interesting packets arrive it
will attempt to establish the physical link to the remote site using either
SLIP or PPP, and if it succeeds it will forward traffic from the proxy to
the physical link. As well, diald will monitor traffic once the physical
link is up, and when it has determined that the link is idle, the remote
connection is terminated. The criteria for bringing the link up and taking
it down are configurable at run time, and are based upon the type of traffic
passing over the link.

%prep
%setup -n diald -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
make DESTDIR=$RPM_BUILD_ROOT LIBDIR=$RPM_BUILD_ROOT/etc/diald

%install
make DESTDIR=$RPM_BUILD_ROOT LIBDIR=$RPM_BUILD_ROOT/etc/diald install
cp -f config/diald.conf $RPM_BUILD_ROOT/etc
cp -f config/diald $RPM_BUILD_ROOT/etc/rc.d/init.d/diald
cp -f config/phone.filter $RPM_BUILD_ROOT/etc/diald

%post
/sbin/chkconfig --add diald

%preun
/sbin/chkconfig --del diald

%files
%config /etc/rc.d/init.d/diald
%config /etc/diald.conf
%config /etc/diald/standard.filter
%config /etc/diald/phone.filter
%config /etc/diald/diald.defs
%config /etc/diald/connect
/usr/bin/dctrl
/usr/sbin/diald
%doc BUGS CHANGES LICENSE NOTES README README.ethertap README.masq
%doc THANKS TODO TODO.budget
/usr/man/man1/dctrl.1
/usr/man/man5/diald-control.5
/usr/man/man5/diald-examples.5
/usr/man/man5/diald-monitor.5
/usr/man/man8/diald.8
